| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Types | Public Member Functions | List of all members
Ogre::PCZFrustum Class Reference

Specialized frustum shaped culling volume that has culling planes created from portals. More...

`#include <OgrePCZFrustum.h>`

## Public Types
enum | Visibility { NONE, PARTIAL, FULL }

## Public Member Functions
| PCZFrustum ()
| Standard constructor. More...
| ~PCZFrustum ()
| Standard destructor. More...
int | addPortalCullingPlanes (PortalBase *portal)
| Calculate culling planes from portal and Frustum origin and add to list of culling planes. More...
ProjectionType | getProjectionType () const
| Get the projection type of this PCZFrustum. More...
PCPlane * | getUnusedCullingPlane (void)
| Get an unused PCPlane from the CullingPlane Reservoir. More...
PCZFrustum::Visibility | getVisibility (const AxisAlignedBox &bound)
bool | isFullyVisible (const AxisAlignedBox &bound) const
bool | isFullyVisible (const Sphere &bound) const
bool | isFullyVisible (const PortalBase *portal) const
bool | isVisible (const AxisAlignedBox &bound) const
bool | isVisible (const Sphere &bound) const
bool | isVisible (const PortalBase *portal) const
void | removeAllCullingPlanes (void)
| Remove all culling planes. More...
void | removePortalCullingPlanes (PortalBase *portal)
| Remove culling planes created from the given portal. More...
void | setOrigin (const Vector3 &newOrigin)
| Set the origin value. More...
void | setOriginPlane (const Vector3 &rkNormal, const Vector3 &rkPoint)
| Set the origin plane. More...
void | setProjectionType (ProjectionType projType)
| Set the projection type of this PCZFrustum. More...
void | setUseOriginPlane (bool yesno)
| Tell the frustum whether or not to use the originplane. More...

## Detailed Description

Specialized frustum shaped culling volume that has culling planes created from portals.

## Member Enumeration Documentation

## ◆ Visibility

enum Ogre::PCZFrustum::Visibility

Enumerator
NONE |
PARTIAL |
FULL |

## Constructor & Destructor Documentation

## ◆ PCZFrustum()

Ogre::PCZFrustum::PCZFrustum | ( |  | ) |

Standard constructor.

## ◆ ~PCZFrustum()

Ogre::PCZFrustum::~PCZFrustum | ( |  | ) |

Standard destructor.

## Member Function Documentation

## ◆ isVisible() [1/3]

bool Ogre::PCZFrustum::isVisible | ( | const AxisAlignedBox & | bound | ) | const

## ◆ isVisible() [2/3]

bool Ogre::PCZFrustum::isVisible | ( | const Sphere & | bound | ) | const

## ◆ isVisible() [3/3]

bool Ogre::PCZFrustum::isVisible | ( | const PortalBase * | portal | ) | const

## ◆ isFullyVisible() [1/3]

bool Ogre::PCZFrustum::isFullyVisible | ( | const AxisAlignedBox & | bound | ) | const

## ◆ isFullyVisible() [2/3]

bool Ogre::PCZFrustum::isFullyVisible | ( | const Sphere & | bound | ) | const

## ◆ isFullyVisible() [3/3]

bool Ogre::PCZFrustum::isFullyVisible | ( | const PortalBase * | portal | ) | const

## ◆ getVisibility()

PCZFrustum::Visibility Ogre::PCZFrustum::getVisibility | ( | const AxisAlignedBox & | bound | ) |

## ◆ addPortalCullingPlanes()

int Ogre::PCZFrustum::addPortalCullingPlanes | ( | PortalBase * | portal | ) |

Calculate culling planes from portal and Frustum origin and add to list of culling planes.

## ◆ removePortalCullingPlanes()

void Ogre::PCZFrustum::removePortalCullingPlanes | ( | PortalBase * | portal | ) |

Remove culling planes created from the given portal.

## ◆ removeAllCullingPlanes()

void Ogre::PCZFrustum::removeAllCullingPlanes | ( | void |  | ) |

Remove all culling planes.

## ◆ setOrigin()

void Ogre::PCZFrustum::setOrigin | ( | const Vector3 & | newOrigin | ) |
| inline

Set the origin value.

## ◆ setOriginPlane()

void Ogre::PCZFrustum::setOriginPlane | ( | const Vector3 & | rkNormal,
|  | const Vector3 & | rkPoint
| ) |  |

Set the origin plane.

## ◆ setUseOriginPlane()

void Ogre::PCZFrustum::setUseOriginPlane | ( | bool | yesno | ) |
| inline

Tell the frustum whether or not to use the originplane.

## ◆ getUnusedCullingPlane()

PCPlane* Ogre::PCZFrustum::getUnusedCullingPlane | ( | void |  | ) |

Get an unused PCPlane from the CullingPlane Reservoir.

## ◆ setProjectionType()

void Ogre::PCZFrustum::setProjectionType | ( | ProjectionType | projType | ) |
| inline

Set the projection type of this PCZFrustum.

## ◆ getProjectionType()

ProjectionType Ogre::PCZFrustum::getProjectionType | ( |  | ) | const
| inline

Get the projection type of this PCZFrustum.

The documentation for this class was generated from the following file:

- OgrePCZFrustum.h